{% load site_configs_tags %}
{% load static %}
{% get_configs 'common.Settings' as site_settings %}
    {% if site_settings.map_icon %}
        <script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU" type="text/javascript"></script>
        <script>
            ymaps.ready(function () {
                var pickupMap = new ymaps.Map('map', {
                        center: [{{ site_settings.gps_lat|stringformat:"f" }}, {{ site_settings.gps_lng| stringformat:"f"}}],
                        zoom: 16
                    }, {
                        searchControlProvider: 'yandex#search'
                    }),

                    // Создаём макет содержимого.
                    ContentLayout = ymaps.templateLayoutFactory.createClass(
                        '<div style="color: #FFFFFF; font-weight: bold;">$[properties.iconContent]</div>'
                    ),

                    AddwinePlacemark = new ymaps.Placemark([{{ site_settings.gps_lat|stringformat:"f" }}, {{ site_settings.gps_lng| stringformat:"f"}}], {
                        hintContent: 'Addwine.ru',
                        balloonContent: 'Здесь находится пункт самовывоза из магазина Addwine.ru',
                    }, {
                        // Опции.
                        // Необходимо указать данный тип макета.
                        iconLayout: 'default#imageWithContent',
                        // Своё изображение иконки метки.
                        iconImageHref: '{{ site_settings.map_icon.url }}',
                        // Размеры метки.
                        iconImageSize: [48, 48],
                        // Смещение левого верхнего угла иконки относительно
                        // её "ножки" (точки привязки).
                        iconImageOffset: [-24, -48],
                        {#// Смещение слоя с содержимым относительно слоя с картинкой.#}
                        {#iconContentOffset: [15, 15],#}
                        // Макет содержимого.
                        iconContentLayout: ContentLayout
                    });

                pickupMap.geoObjects
                    .add(AddwinePlacemark);
            });
        </script>
    {% endif %}

<div class="modal fade" id="modalDeliveryInfo" tabindex="-1" role="dialog" aria-labelledby="1" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="max-width: 300px; margin: 0;">Доставка и самовывоз</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="text-wrap">
                <p>
                    {% autoescape off %}
                  {{ site_settings.delivery_info }}
                    {% endautoescape %}
                </p>
                {% if site_settings.probich_image %}
                <div class="delivery-probych-image__wrapper">
                    <img class="delivery-probych-image" src="{{ site_settings.probich_image.url }}" alt="Probych image">
                </div>
                {% endif %}
                <div id="map" style="width: 100%; height: 300px;"></div>
{#                  <script type="text/javascript" charset="utf-8" async src="https://api-maps.yandex.ru/services/constructor/1.0/js/?um=constructor%3A599cb50aa42cd98d29ff1c19d4513551a48f9d53ef52d2660eb9c28d9063e90b&amp;width=665&amp;height=215&amp;lang=ru_RU&amp;scroll=true"></script>#}


                </div>
            </div>
        </div>
    </div>
</div>